#include <stddef.h>
#include <stdio.h>
#include <elf.h>

int main()
{
  printf("sizeof_${TEVWH_ELF_EHDR}=%lu\n",
    (unsigned long)sizeof(${TEVWH_ELF_EHDR}));
  printf("offset_e_entry=%lu\n",
    (unsigned long)offsetof(${TEVWH_ELF_EHDR}, e_entry));
  printf("sizeof_e_entry=%lu\n",
    (unsigned long)sizeof(((${TEVWH_ELF_EHDR}*)0)->e_entry));
  printf("sizeof_int=%lu\n", (unsigned long)sizeof(int));
  printf("sizeof_long=%lu\n", (unsigned long)sizeof(long));
  return 0;
}
